Index: /branches/OKB/HeuristicLab.Services.OKB/3.3/Interfaces/IAdminService.cs
===================================================================
--- /branches/OKB/HeuristicLab.Services.OKB/3.3/Interfaces/IAdminService.cs	(revision 4480)
+++ /branches/OKB/HeuristicLab.Services.OKB/3.3/Interfaces/IAdminService.cs	(revision 4481)
@@ -38,7 +38,22 @@
     IEnumerable<Platform> GetPlatforms();
     [OperationContract]
-    void StorePlatform(Platform dto);
+    long AddPlatform(Platform dto);
+    [OperationContract]
+    void UpdatePlatform(Platform dto);
     [OperationContract]
     void DeletePlatform(long id);
+    #endregion
+
+    #region DataType Methods
+    [OperationContract]
+    DataType GetDataType(long id);
+    [OperationContract]
+    IEnumerable<DataType> GetDataTypes();
+    [OperationContract]
+    long AddDataType(DataType dto);
+    [OperationContract]
+    void UpdateDataType(DataType dto);
+    [OperationContract]
+    void DeleteDataType(long id);
     #endregion
 
@@ -49,5 +64,7 @@
     IEnumerable<AlgorithmClass> GetAlgorithmClasses();
     [OperationContract]
-    void StoreAlgorithmClass(AlgorithmClass dto);
+    long AddAlgorithmClass(AlgorithmClass dto);
+    [OperationContract]
+    void UpdateAlgorithmClass(AlgorithmClass dto);
     [OperationContract]
     void DeleteAlgorithmClass(long id);
@@ -60,5 +77,7 @@
     IEnumerable<Algorithm> GetAlgorithms();
     [OperationContract]
-    void StoreAlgorithm(Algorithm dto);
+    long AddAlgorithm(Algorithm dto);
+    [OperationContract]
+    void UpdateAlgorithm(Algorithm dto);
     [OperationContract]
     void DeleteAlgorithm(long id);
@@ -66,5 +85,5 @@
     IEnumerable<Guid> GetAlgorithmUsers(long algorithmId);
     [OperationContract]
-    void StoreAlgorithmUsers(long algorithmId, IEnumerable<Guid> users);
+    void UpdateAlgorithmUsers(long algorithmId, IEnumerable<Guid> users);
     #endregion
 
@@ -73,16 +92,42 @@
     AlgorithmData GetAlgorithmData(long algorithmId);
     [OperationContract]
-    void StoreAlgorithmData(AlgorithmData dto);
+    void UpdateAlgorithmData(AlgorithmData dto);
     #endregion
 
-    #region DataType Methods
+    #region ProblemClass Methods
     [OperationContract]
-    DataType GetDataType(long id);
+    ProblemClass GetProblemClass(long id);
     [OperationContract]
-    IEnumerable<DataType> GetDataTypes();
+    IEnumerable<ProblemClass> GetProblemClasses();
     [OperationContract]
-    void StoreDataType(DataType dto);
+    long AddProblemClass(ProblemClass dto);
     [OperationContract]
-    void DeleteDataType(long id);
+    void UpdateProblemClass(ProblemClass dto);
+    [OperationContract]
+    void DeleteProblemClass(long id);
+    #endregion
+
+    #region Problem Methods
+    [OperationContract]
+    Problem GetProblem(long id);
+    [OperationContract]
+    IEnumerable<Problem> GetProblems();
+    [OperationContract]
+    long AddProblem(Problem dto);
+    [OperationContract]
+    void UpdateProblem(Problem dto);
+    [OperationContract]
+    void DeleteProblem(long id);
+    [OperationContract]
+    IEnumerable<Guid> GetProblemUsers(long problemId);
+    [OperationContract]
+    void UpdateProblemUsers(long problemId, IEnumerable<Guid> users);
+    #endregion
+
+    #region ProblemData Methods
+    [OperationContract]
+    ProblemData GetProblemData(long problemId);
+    [OperationContract]
+    void UpdateProblemData(ProblemData dto);
     #endregion
   }
